#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# do not build Vala API
#
Summary:	Low-level configuration system
Name:		dconf
Version:	0.12.1
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/dconf/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	0ebbfa50ab69e5d679cf8a1c68e75bf3
URL:		http://live.gnome.org/dconf
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-devel
BuildRequires:	glib2-devel >= 1:2.31.18
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.15.1}
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	dbus
Requires:	glib2 >= 1:2.31.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dconf is a low-level configuration system. Its main purpose is to
provide a backend to GSettings on platforms that don't already have
configuration storage systems.

%package devel
Summary:	Header files for dconf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki dconf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel
Requires:	glib2-devel >= 1:2.31.18

%description devel
Header files for dconf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki dconf.

%package editor
Summary:	Configuration editor for dconf
Summary(pl.UTF-8):	Edytor konfiguracji dla dconf
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme

%description editor
dconf-editor allows you to browse and modify dconf database.

%description editor -l pl.UTF-8
dconf-editor pozwala na przeglądanie i modyfikowanie bazy dconf.

%package apidocs
Summary:	dconf API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki dconf
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for dconf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki dconf.

%package -n bash-completion-dconf
Summary:	bash-completion for dconf
Summary(pl.UTF-8):	Bashowe uzupełnianie nazw dla dconf
Group:		Applications/Shells
Requires:	bash-completion

%description -n bash-completion-dconf
bash-completion for dconf.

%description -n bash-completion-dconf -l pl.UTF-8
Bashowe uzupełnianie nazw dla dconf.

%package -n vala-dconf
Summary:	dconf API for Vala language
Summary(pl.UTF-8):	API dconf dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-dconf
dconf API for Vala language.

%description -n vala-dconf -l pl.UTF-8
API dconf dla języka Vala.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/dconf/{db,profile}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%glib_compile_schemas

%postun
/sbin/ldconfig

umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%glib_compile_schemas

%post editor
%update_icon_cache hicolor

%postun editor
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/dconf
%attr(755,root,root) %{_libdir}/libdconf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdconf.so.0
%attr(755,root,root) %{_libdir}/libdconf-dbus-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdconf-dbus-1.so.0
%attr(755,root,root) %{_libexecdir}/dconf-service
%attr(755,root,root) %{_libdir}/gio/modules/libdconfsettings.so
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdconf.so
%attr(755,root,root) %{_libdir}/libdconf-dbus-1.so
%{_includedir}/dconf
%{_includedir}/dconf-dbus-1
%{_pkgconfigdir}/dconf.pc
%{_pkgconfigdir}/dconf-dbus-1.pc

%files editor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dconf-editor
%{_desktopdir}/dconf-editor.desktop
%{_datadir}/dconf-editor
%{_iconsdir}/hicolor/*/*/*.png

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/dconf
%endif

%files -n bash-completion-dconf
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/dconf-bash-completion.sh

%if %{with vala}
%files -n vala-dconf
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/dconf.deps
%{_datadir}/vala/vapi/dconf.vapi
%endif
%changelog
* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6af17bd
- moved Vala API to seperate package; rel. 2

* Mon May 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 3d99712
- updated to 0.12.1

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 036fd94
- updated to 0.12.0; merged from DEVEL

* Mon Sep 26 2011 Łukasz Kieś <kiesiu@pld-linux.org> 42537be
- updated to 0.10.0; merged from DEVEL

* Mon Aug 01 2011 Łukasz Kieś <kiesiu@pld-linux.org> 8fd7600
- updated to 0.8.0

* Tue May 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> eeb66e2
- updated to 0.7.5

* Fri May 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d6a51e6
- updated to 0.7.4

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> c5a078e
- release 2

* Tue Mar 22 2011 Marcin Banasiak <marcin.banasiak@gmail.com> dc256cb
- libtool no longer used

* Tue Mar 22 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 94dc638
- updated deps

* Tue Mar 22 2011 Artur Frysiak <artur@frysiak.net> 8dd9cfb
- up to 0.7.3

* Wed Mar 02 2011 Patryk Zawadzki <patrys@room-303.com> c4cde5d
- make editor installable

* Wed Mar 02 2011 Patryk Zawadzki <patrys@room-303.com> 58dc635
- add dirs for profiles

* Sat Feb 12 2011 Artur Frysiak <artur@frysiak.net> 806ac68
- updated to 0.7.2

* Tue Dec 28 2010 Artur Frysiak <artur@frysiak.net> 5758313
- 0.6

* Wed Sep 29 2010 Patryk Zawadzki <patrys@room-303.com> 590ddde
- 0.5.1

* Wed Jun 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> ccd1b4d
- updated to 0.4.1
- added -editor subpackage

* Sun Jun 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e7aed55
- new

